# we need this in its own directory to avoid conflicts with
# gnome-libs (it includes libart_lgpl)
%define _prefix /usr/lib/gtk-canvas

Summary: GNOME Canvas backport
Name: gtk-canvas
Version: 0.1.1
Release: 2%{?dist}
License: GPL
Group: System Environment/Libraries
URL: http://www.atai.org/gtk-canvas/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: imlib-devel pwlib-devel

%description
This is a straight port of the GNOME Canvas from the stable gnome-libs 1.2.4
back to gtk+.  The widget is called GtkCanvas.

%package devel
Summary: Development and header files for the GTK Canvas widget.
Group: Development/Libraries
Requires: gtk-canvas = %{version}-%{release}

%description devel
This is a straight port of the GNOME Canvas from the stable gnome-libs 1.2.4
back to gtk+.  The widget is called GtkCanvas.

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING COPYING.LIB INSTALL NEWS README
%{_libdir}/libart_lgpl.so.*
%{_libdir}/libgtk-canvas.so.*

%files devel
%defattr(-,root,root,-)
%{_datadir}/aclocal/libart.m4
%{_bindir}/libart-config
%{_libdir}/libartConf.sh
%{_includedir}/libart_lgpl
%{_libdir}/libart_lgpl.a
%exclude %{_libdir}/libart_lgpl.la
%{_libdir}/libart_lgpl.so
%{_includedir}/gtk-canvas.h
%{_includedir}/gtk-canvas
%{_libdir}/libgtk-canvas.so
%{_libdir}/libgtk-canvas.a
%exclude %{_libdir}/libgtk-canvas.la

%changelog
* Fri Nov 30 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Sun Dec 26 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.1.1-2
- spec file cleanup, build on fc6

* Fri Feb 20 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.1.1-1
- replaces omlinux-gtkcanvas, needed for Open Music for Linux support

* Tue Oct 21 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.1.1-1
- Initial build.
